Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.stats
Class StatsRecorderFlagsImpl

    java.lang.Object
      org.jasig.portal.services.stats.StatsRecorderFlagsImpl

All Implemented Interfaces:
  IStatsRecorderFlags

    public class StatsRecorderFlagsImpl

extends java.lang.Object
implements IStatsRecorderFlags

Mutable JavaBean implementation of IStatsRecorderFlags. Each IStatsRecorder method has an associated flag indicating whether we should attend to that method.

Since:
  uPortal 2.5.1
Version:
  $Revision: 1.1.2.1 $ $Date: 2005/07/15 21:20:04 $
See Also:
  `IStatsRecorder`, `IStatsRecorderFlags`

Field Summary
`private boolean` | `recordChannelAddedToLayout`
`private boolean` | `recordChannelDefinitionModified`
`private boolean` | `recordChannelDefinitionPublished`
`private boolean` | `recordChannelDefinitionRemoved`
`private boolean` | `recordChannelInstantiated`
`private boolean` | `recordChannelMovedInLayout`
`private boolean` | `recordChannelRemovedFromLayout`
`private boolean` | `recordChannelRendered`
`private boolean` | `recordChannelTargeted`
`private boolean` | `recordChannelUpdatedInLayout`
`private boolean` | `recordFolderAddedToLayout`
`private boolean` | `recordFolderMovedInLayout`
`private boolean` | `recordFolderRemovedFromLayout`
`private boolean` | `recordFolderUpdatedInLayout`
`private boolean` | `recordLogin`
`private boolean` | `recordLogout`
`private boolean` | `recordSessionCreated`
`private boolean` | `recordSessionDestroyed`

Constructor Summary
`StatsRecorderFlagsImpl()`

Method Summary
`boolean` | `isRecordChannelAddedToLayout()` Returns true if we should record when a channel is added to a layout; false otherwise.
`boolean` | `isRecordChannelDefinitionModified()` Returns true if we should record when a channel definition is modified.
`boolean` | `isRecordChannelDefinitionPublished()` Returns true if we should record when a channel definition is published, false otherwise.
`boolean` | `isRecordChannelDefinitionRemoved()` Returns true iff we should record when a channel definition is removed.
`boolean` | `isRecordChannelInstantiated()` Returns whether we should record when a channel is instantiated.
`boolean` | `isRecordChannelMovedInLayout()` Returns whether we should record a channel being moved within a layout.
`boolean` | `isRecordChannelRemovedFromLayout()` Returns true if we should record a channel being removed from a layout, false otherwise.
`boolean` | `isRecordChannelRendered()` Returns true if we should record when a channel is rendered, false otherwise.
`boolean` | `isRecordChannelTargeted()` Returns true if we should record when a channel is targetted, false otherwise.
`boolean` | `isRecordChannelUpdatedInLayout()` Returns true if we should record when a channel is updated within a layout, false otherwise.
`boolean` | `isRecordFolderAddedToLayout()` Returns true if we should record when a folder is added to a layout, false otherwise.
`boolean` | `isRecordFolderMovedInLayout()` Returns true if we should record that a folder is moved in a layout, false otherwise.
`boolean` | `isRecordFolderRemovedFromLayout()` Returns true iff we should record a folder being removed from a layout.
`boolean` | `isRecordFolderUpdatedInLayout()` Returns true if we should record a folder being updated within a layout, false otherwise.
`boolean` | `isRecordLogin()` Returns true iff we should record a user logging in.
`boolean` | `isRecordLogout()` Returns true iff we should record a user logging out.
`boolean` | `isRecordSessionCreated()` Returns true if we should record a session being created, false otherwise.
`boolean` | `isRecordSessionDestroyed()` Return true iff we should record a session being destroyed.
`void` | `setRecordChannelAddedToLayout(boolean recordChannelAddedToLayout)` Set whether we should record when a channel is added to a layout.
`void` | `setRecordChannelDefinitionModified(boolean recordChannelDefinitionModified)` Set whether we should record when a channel definition is modified.
`void` | `setRecordChannelDefinitionPublished(boolean recordChannelDefinitionPublished)` Set whether we should record when a channel definition is published.
`void` | `setRecordChannelDefinitionRemoved(boolean recordChannelDefinitionRemoved)` Set whether we should record when a channel definition is removed.
`void` | `setRecordChannelInstantiated(boolean recordChannelInstantiated)` Set whether we should record channel instantiation.
`void` | `setRecordChannelMovedInLayout(boolean recordChannelMovedInLayout)` Set whether we should record a channel being moved within a layout.
`void` | `setRecordChannelRemovedFromLayout(boolean recordChannelRemovedFromLayout)` Set whether we should record a channel being removed from a layout.
`void` | `setRecordChannelRendered(boolean recordChannelRendered)` Set whether we should record when a channel is rendered.
`void` | `setRecordChannelTargeted(boolean recordChannelTargeted)` Set whether we should record when a channel is targetted.
`void` | `setRecordChannelUpdatedInLayout(boolean recordChannelUpdatedInLayout)` Set whether we should record a channel being updated within a layout.
`void` | `setRecordFolderAddedToLayout(boolean recordFolderAddedToLayout)` Set whether we should record when a folder is added to a layout.
`void` | `setRecordFolderMovedInLayout(boolean recordFolderMovedInLayout)` Set whether we should record that a folder is moved within a layout.
`void` | `setRecordFolderRemovedFromLayout(boolean recordFolderRemovedFromLayout)` Set whether we should record a folder being removed from a layout.
`void` | `setRecordFolderUpdatedInLayout(boolean recordFolderUpdatedInLayout)` Set whether we should record a folder being updated within a layout.
`void` | `setRecordLogin(boolean recordLogin)` Set whether we should record a user logging in.
`void` | `setRecordLogout(boolean recordLogout)` Set whether we should record a user logging out.
`void` | `setRecordSessionCreated(boolean recordSessionCreated)` Set whether we should record a session being created.
`void` | `setRecordSessionDestroyed(boolean recordSessionDestroyed)` Set whether we should record a session being destroyed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recordLogin

    private boolean recordLogin

### recordLogout

    private boolean recordLogout

### recordSessionCreated

    private boolean recordSessionCreated

### recordSessionDestroyed

    private boolean recordSessionDestroyed

### recordChannelDefinitionPublished

    private boolean recordChannelDefinitionPublished

### recordChannelDefinitionModified

    private boolean recordChannelDefinitionModified

### recordChannelDefinitionRemoved

    private boolean recordChannelDefinitionRemoved

### recordChannelAddedToLayout

    private boolean recordChannelAddedToLayout

### recordChannelUpdatedInLayout

    private boolean recordChannelUpdatedInLayout

### recordChannelMovedInLayout

    private boolean recordChannelMovedInLayout

### recordChannelRemovedFromLayout

    private boolean recordChannelRemovedFromLayout

### recordFolderAddedToLayout

    private boolean recordFolderAddedToLayout

### recordFolderUpdatedInLayout

    private boolean recordFolderUpdatedInLayout

### recordFolderMovedInLayout

    private boolean recordFolderMovedInLayout

### recordFolderRemovedFromLayout

    private boolean recordFolderRemovedFromLayout

### recordChannelInstantiated

    private boolean recordChannelInstantiated

### recordChannelRendered

    private boolean recordChannelRendered

### recordChannelTargeted

    private boolean recordChannelTargeted

Constructor Detail

### StatsRecorderFlagsImpl

    public StatsRecorderFlagsImpl()

Method Detail

### isRecordChannelAddedToLayout

    public boolean isRecordChannelAddedToLayout()

  Returns true if we should record when a channel is added to a layout; false otherwise.

  Specified by:
    `isRecordChannelAddedToLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns the recordChannelAddedToLayout.

### setRecordChannelAddedToLayout

    public void setRecordChannelAddedToLayout(boolean recordChannelAddedToLayout)

  Set whether we should record when a channel is added to a layout.

  Parameters:
    `recordChannelAddedToLayout` - true iff we should record when a channel is added to a layout

### isRecordChannelDefinitionModified

    public boolean isRecordChannelDefinitionModified()

  Returns true if we should record when a channel definition is modified.

  Specified by:
    `isRecordChannelDefinitionModified` in interface `IStatsRecorderFlags`
  Returns:
    Returns whether we should record when a channel definition is modified.

### setRecordChannelDefinitionModified

    public void setRecordChannelDefinitionModified(boolean recordChannelDefinitionModified)

  Set whether we should record when a channel definition is modified.

  Parameters:
    `recordChannelDefinitionModified` - true iff we should record when a channel definition is modified.

### isRecordChannelDefinitionPublished

    public boolean isRecordChannelDefinitionPublished()

  Returns true if we should record when a channel definition is published, false otherwise.

  Specified by:
    `isRecordChannelDefinitionPublished` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a channel definition is published.

### setRecordChannelDefinitionPublished

    public void setRecordChannelDefinitionPublished(boolean recordChannelDefinitionPublished)

  Set whether we should record when a channel definition is published.

  Parameters:
    `recordChannelDefinitionPublished` - The recordChannelDefinitionPublished to set.

### isRecordChannelDefinitionRemoved

    public boolean isRecordChannelDefinitionRemoved()

  Returns true iff we should record when a channel definition is removed.

  Specified by:
    `isRecordChannelDefinitionRemoved` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a channel definition is removed.

### setRecordChannelDefinitionRemoved

    public void setRecordChannelDefinitionRemoved(boolean recordChannelDefinitionRemoved)

  Set whether we should record when a channel definition is removed.

  Parameters:
    `recordChannelDefinitionRemoved` - true iff we should record when a channel definition is removed.

### isRecordChannelInstantiated

    public boolean isRecordChannelInstantiated()

  Returns whether we should record when a channel is instantiated.

  Specified by:
    `isRecordChannelInstantiated` in interface `IStatsRecorderFlags`
  Returns:
    Returns whether we should record when a channel is instantiated.

### setRecordChannelInstantiated

    public void setRecordChannelInstantiated(boolean recordChannelInstantiated)

  Set whether we should record channel instantiation.

  Parameters:
    `recordChannelInstantiated` - true iff we should record channel instantiation.

### isRecordChannelMovedInLayout

    public boolean isRecordChannelMovedInLayout()

  Returns whether we should record a channel being moved within a layout.

  Specified by:
    `isRecordChannelMovedInLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record a channel being moved within a layout.

### setRecordChannelMovedInLayout

    public void setRecordChannelMovedInLayout(boolean recordChannelMovedInLayout)

  Set whether we should record a channel being moved within a layout.

  Parameters:
    `recordChannelMovedInLayout` - true iff we should record a channel being moved within a layout.

### isRecordChannelRemovedFromLayout

    public boolean isRecordChannelRemovedFromLayout()

  Returns true if we should record a channel being removed from a layout, false otherwise.

  Specified by:
    `isRecordChannelRemovedFromLayout` in interface `IStatsRecorderFlags`
  Returns:
    true if we should record a channel being removed from a layout, false otherwise.

### setRecordChannelRemovedFromLayout

    public void setRecordChannelRemovedFromLayout(boolean recordChannelRemovedFromLayout)

  Set whether we should record a channel being removed from a layout.

  Parameters:
    `recordChannelRemovedFromLayout` - true iff we should record a channel being removed from a layout.

### isRecordChannelRendered

    public boolean isRecordChannelRendered()

  Returns true if we should record when a channel is rendered, false otherwise.

  Specified by:
    `isRecordChannelRendered` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a channel is rendered.

### setRecordChannelRendered

    public void setRecordChannelRendered(boolean recordChannelRendered)

  Set whether we should record when a channel is rendered.

  Parameters:
    `recordChannelRendered` - The recordChannelRendered to set.

### isRecordChannelTargeted

    public boolean isRecordChannelTargeted()

  Returns true if we should record when a channel is targetted, false otherwise.

  Specified by:
    `isRecordChannelTargeted` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a channel is targetted.

### setRecordChannelTargeted

    public void setRecordChannelTargeted(boolean recordChannelTargeted)

  Set whether we should record when a channel is targetted.

  Parameters:
    `recordChannelTargeted` - true iff we should record when a channel is targetted

### isRecordChannelUpdatedInLayout

    public boolean isRecordChannelUpdatedInLayout()

  Returns true if we should record when a channel is updated within a layout, false otherwise.

  Specified by:
    `isRecordChannelUpdatedInLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a channel is updated in a layout.

### setRecordChannelUpdatedInLayout

    public void setRecordChannelUpdatedInLayout(boolean recordChannelUpdatedInLayout)

  Set whether we should record a channel being updated within a layout.

  Parameters:
    `recordChannelUpdatedInLayout` - true iff we should record a channel being updated within a layout.

### isRecordFolderAddedToLayout

    public boolean isRecordFolderAddedToLayout()

  Returns true if we should record when a folder is added to a layout, false otherwise.

  Specified by:
    `isRecordFolderAddedToLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record when a folder is added to a layout.

### setRecordFolderAddedToLayout

    public void setRecordFolderAddedToLayout(boolean recordFolderAddedToLayout)

  Set whether we should record when a folder is added to a layout.

  Parameters:
    `recordFolderAddedToLayout` - true iff we should record when a folder is added to a layout.

### isRecordFolderMovedInLayout

    public boolean isRecordFolderMovedInLayout()

  Returns true if we should record that a folder is moved in a layout, false otherwise.

  Specified by:
    `isRecordFolderMovedInLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns true iff we should record that a folder is moved in a layout.

### setRecordFolderMovedInLayout

    public void setRecordFolderMovedInLayout(boolean recordFolderMovedInLayout)

  Set whether we should record that a folder is moved within a layout.

  Parameters:
    `recordFolderMovedInLayout` - true iff we should record a folder being moved in a layout.

### isRecordFolderRemovedFromLayout

    public boolean isRecordFolderRemovedFromLayout()

  Returns true iff we should record a folder being removed from a layout.

  Specified by:
    `isRecordFolderRemovedFromLayout` in interface `IStatsRecorderFlags`
  Returns:
    Returns true if a folder is removed from a layout.

### setRecordFolderRemovedFromLayout

    public void setRecordFolderRemovedFromLayout(boolean recordFolderRemovedFromLayout)

  Set whether we should record a folder being removed from a layout.

  Parameters:
    `recordFolderRemovedFromLayout` - true iff we should record a folder being removed from a layout

### isRecordFolderUpdatedInLayout

    public boolean isRecordFolderUpdatedInLayout()

  Returns true if we should record a folder being updated within a layout, false otherwise.

  Specified by:
    `isRecordFolderUpdatedInLayout` in interface `IStatsRecorderFlags`
  Returns:
    true iff we should record a folder being updated within a layout.

### setRecordFolderUpdatedInLayout

    public void setRecordFolderUpdatedInLayout(boolean recordFolderUpdatedInLayout)

  Set whether we should record a folder being updated within a layout.

  Parameters:
    `recordFolderUpdatedInLayout` - true iff we should record a folder being updated within a layout.

### isRecordLogin

    public boolean isRecordLogin()

  Returns true iff we should record a user logging in.

  Specified by:
    `isRecordLogin` in interface `IStatsRecorderFlags`
  Returns:
    true iff we should record a user logging in.

### setRecordLogin

    public void setRecordLogin(boolean recordLogin)

  Set whether we should record a user logging in.

  Parameters:
    `recordLogin` - true iff we should record a user logging in.

### isRecordLogout

    public boolean isRecordLogout()

  Returns true iff we should record a user logging out.

  Specified by:
    `isRecordLogout` in interface `IStatsRecorderFlags`
  Returns:
    true iff we should record a user logging out.

### setRecordLogout

    public void setRecordLogout(boolean recordLogout)

  Set whether we should record a user logging out.

  Parameters:
    `recordLogout` - true iff we should record a user logging out.

### isRecordSessionCreated

    public boolean isRecordSessionCreated()

  Returns true if we should record a session being created, false otherwise.

  Specified by:
    `isRecordSessionCreated` in interface `IStatsRecorderFlags`
  Returns:
    true iff we should record when a session is created.

### setRecordSessionCreated

    public void setRecordSessionCreated(boolean recordSessionCreated)

  Set whether we should record a session being created.

  Parameters:
    `recordSessionCreated` - true iff we should record when a session is created.

### isRecordSessionDestroyed

    public boolean isRecordSessionDestroyed()

  Return true iff we should record a session being destroyed.

  Specified by:
    `isRecordSessionDestroyed` in interface `IStatsRecorderFlags`
  Returns:
    true iff we should record a session being destroyed.

### setRecordSessionDestroyed

    public void setRecordSessionDestroyed(boolean recordSessionDestroyed)

  Set whether we should record a session being destroyed.

  Parameters:
    `recordSessionDestroyed` - True iff we should record a session being destroyed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD